1. spdrman8

    spdrman8 Member
    Newcomer

    Joined:
    Oct 3, 2019
    Messages:
    17
    Country:
    United States
    I would start fresh. Copy everything off the SD card except the switch folder. Then copy over the Kosmos folders. Then try to boot just kosmos. If that works and you can hold the R button and get to homebrew then you can start putting things back on the SD card. If it doesn't then there is something else going on.
     
  2. EmulateLife

    EmulateLife GBAtemp Psycho!
    Member

    Joined:
    May 30, 2016
    Messages:
    3,992
    Country:
    United States
    One question I noticed the Kosmos sig patches are last updated on 9/10/2019, that's before 9.0.1 came out I know maybe even 9.0. Is that why they're not working?

    I think that's the reason it says they're for 9.0.0 I'm on 9.0.1.
     
  3. 8BitWonder

    8BitWonder Small Homebrew Dev
    Member

    Joined:
    Jan 23, 2016
    Messages:
    2,113
    Country:
    United States
    There were no breaking changes in ES or FS that warranted new patches.
    That's why the last update was for 9.0.0 and there wasn't one for 9.0.1.
     
  4. spdrman8

    spdrman8 Member
    Newcomer

    Joined:
    Oct 3, 2019
    Messages:
    17
    Country:
    United States
    9.0 patches will work with 9.0.1. as long as you downloaded the patches from the beginning of this thread. Sig patches won't disable you from booting into Kosmos/CFW. It will stop you from running and installing homebrew and backups.
     
  5. EmulateLife

    EmulateLife GBAtemp Psycho!
    Member

    Joined:
    May 30, 2016
    Messages:
    3,992
    Country:
    United States
    It's really weird it's somewhat working now some of my nro2nsp retroarch games work but others are corrupt and if I hold R it ignores it when starting a game and just starts the game and still can't access album. I guess I'll have to switch back and forth between SX OS and Kosmos.

    I know I've done everything I possibly can I deleted all the Atmosphere folders and restarted, got the patches from page 1, also got the Kosmos patches, verified that each and every file was there and the correct size.
     
    Last edited: Oct 9, 2019
  6. Aydan

    Aydan Newbie
    Newcomer

    Joined:
    Oct 9, 2019
    Messages:
    3
    Country:
    Italy
    Hi guys! I have installed this sigpatches but i still have some problem with games like DQ XI, Zelda Link's Awakening, Oninaki and Astral Chain. Goldleaf error is:

    Error 2002-4518 (0x234C02)
    Modulo: FS(2)
    Invalid NCA

    My switch run kosmos 14.1 on firmware 9.0.0. Some games like Zelda BotW, Octopath Traveller work without any problems.
     
  7. pLaYeR^^

    pLaYeR^^ Doctor Switch
    Member

    Joined:
    Sep 18, 2014
    Messages:
    2,938
    Country:
    Austria
    Get sigpatches from here.
     
    Yanda likes this.
  8. Aydan

    Aydan Newbie
    Newcomer

    Joined:
    Oct 9, 2019
    Messages:
    3
    Country:
    Italy
    I tried these ones before the one i found here, and got the error with more games about one or two weeks ago. Maybe he released a new version? When i come home i will try again. Thank you!
     
  9. Chuky

    Chuky Newbie
    Newcomer

    Joined:
    Oct 9, 2019
    Messages:
    1
    Country:
    Mexico

    Ok so I got the same error and I found a solution that worked for me.
    Install the sigpatches on this thread and then do the following:

    1.- Reboot to Hekate
    2.- Go to "payloads"
    3.- select fusee-primary.bin payload (If you don't have the file just add it to \bootloader\payloads in the root of your SD card)
    4.- Profit

    By doing that I could now install NSP's normally through Goldleaf 7.3 usb install.
    From what I can guess is that the usb modules do not load if you launch your CFW through hekate, maybe theres some error with the config.ini files?
    Also, everything was working normally before I updated to 9.0.1.
     
    Last edited: Oct 9, 2019
    Supreme23 likes this.
  10. junghans

    junghans Newbie
    Newcomer

    Joined:
    Jul 17, 2009
    Messages:
    4
    Country:
    Indonesia
  11. TempJu

    TempJu Newbie
    Newcomer

    Joined:
    Oct 19, 2019
    Messages:
    1
    Country:
    France
    Hello guys,

    I'm having some issue when installing several .nsp (but others are working fine) :
    I have an error code : 2356-0009

    Console firmware: [ 9.0.1 ]
    CFW with version: [ Atmosphere 0.94 ]
    Goldleaf version: [0.73 ]
    Kosmos_patches_10_09_2019
    Sigpatchs from this thread

    Nothing works so far, have you any idea to solve my issue?
     
    skttrbrain likes this.
  12. TempJu
    This message by TempJu has been removed from public view by Joe88, Oct 20, 2019, Reason: dupe.
    Oct 19, 2019 Show
  13. TempJu
    This message by TempJu has been removed from public view by Joe88, Oct 20, 2019, Reason: dupe.
    Oct 19, 2019 Show
  14. TempJu
    This message by TempJu has been removed from public view by Joe88, Oct 20, 2019, Reason: dupe.
    Oct 19, 2019 Show
  15. mousan

    mousan GBAtemp Regular
    Member

    Joined:
    Jan 29, 2008
    Messages:
    192
    Country:
    Antigua and Barbuda
    I'm having the same issue a lot of games previously installes aren't working (Marvel ultimte alliance 3, zelda link's awakening, witcher 3 , yooka laylee,..) :(
     
  16. Mysterio619

    Mysterio619 Newbie
    Newcomer

    Joined:
    Jul 23, 2019
    Messages:
    8
    Country:
    Netherlands
    i have firmware 8.1.0, can i still use the latest sigpatches?
     
  17. nifoc2099

    nifoc2099 Advanced Member
    Newcomer

    Joined:
    Dec 13, 2018
    Messages:
    96
    Country:
    Singapore
    What for? Even using latest sigpatches, you still can't play the latest games that require firmware 9.0 onwards ie Witcher 3 'If it ain't broke don't fix it'
     
    Last edited: Nov 3, 2019
  18. Czupakabra

    Czupakabra Newbie
    Newcomer

    Joined:
    Oct 30, 2019
    Messages:
    5
    Country:
    Poland
    I have exacly the same issue. Tried 100 different ways how to fix it and without luck

    Atmosphere - 0.9.4
    Firmware - 9.0.1
    Goldleaf 7.2
    sigpatches ( the newest one )

    Still cant install Witcher 3 and Luigis Mansion. Tinfoil not working at all
    Im getting error number 2002-4518 Invalid NCA
     
  19. wii07

    wii07 Advanced Member
    Newcomer

    Joined:
    Sep 9, 2019
    Messages:
    52
    Country:
    Finland
    Luigi works on 8.0.1 without the 1.1.0 patch. The Patch also works on it, you have to convert the nsp with reNXpack, before you install it.
     
  20. Czupakabra

    Czupakabra Newbie
    Newcomer

    Joined:
    Oct 30, 2019
    Messages:
    5
    Country:
    Poland
    So i tried and im geting error like : Unknown meta type! Are keys correct ? and i have lots of NCA files in folder and i dont know what to do with it. Some ideas ? Cheers
     
  21. nifoc2099

    nifoc2099 Advanced Member
    Newcomer

    Joined:
    Dec 13, 2018
    Messages:
    96
    Country:
    Singapore
    May i know what did you try to do? Downgrade to firmware 8.#.#? Luigi runs fine with patch 1.1.0 on my firmware 8.1.0 on Atmosphere 0.9.4 using sigpatch for fw 8 not 9. I can provide you the older sigpatch if you want.

    — Posts automatically merged - Please don't double post! —

    May i know if your Luigi v0 is European version? I downloaded a later Luigi v0 not Euro & the patch 1.1.0 works just fine with tinfoil 5.10 without any conversion.
     
    Last edited: Nov 3, 2019
  22. Czupakabra

    Czupakabra Newbie
    Newcomer

    Joined:
    Oct 30, 2019
    Messages:
    5
    Country:
    Poland
    i fix it. I bin everything form sd card. Format it again and with sigpatches form that topic right now everything is working fine. I dont know what was wrong last time but right now everything is working fine.
     
  23. estuche

    estuche Member
    Newcomer

    Joined:
    Jan 19, 2018
    Messages:
    19
    Country:
    United States
    Helpful advice, thanks!
     
  24. BillyJo

    BillyJo Member
    Newcomer

    Joined:
    Jan 8, 2017
    Messages:
    45
    Country:
    Canada
    same thing here... just updated to 9.0.1 and nothing want to start... i deleted all stuff on my sdcard but not formatted...
    still nothing start..
     
  25. NitrousGBA

    NitrousGBA Newbie
    Newcomer

    Joined:
    Apr 29, 2009
    Messages:
    6
    Country:
    United States
    I'm having the same issue. Just updated Atmosphere 0.9.4 still on 8.0.1 firmware, and I have Joonie86's sigpatches installed. Using Goldleaf 0.73 I can install .nsp but when I try to boot from the dash I get "unable to start" errors. Tried reformatting, rebuilding emummc, multiple sd cards, no luck.
     
  26. PassieWaterm

    PassieWaterm Member
    Newcomer

    Joined:
    Nov 24, 2019
    Messages:
    14
    Country:
    Netherlands
    Hi guys
    I am a new bee on this. I have a question:
    There are 2 games that won't run because they ask to do an update (Mario Kart and donkey kong country) I installed the updates on them but no luck. AL other games work fine with the installed updates. Some ideas? FW 9.0.1 Atmosphere 0.9.4
     
Draft saved Draft deleted
Loading...

Hide similar threads Similar threads with keywords - atmosphere, patches, heard